.clear { clear: both }
.hide { display: none }
.show,.block { display: block }
.inline { display: inline }
.inline-block { display: inline-block }
.left { float: left }
.right { float: right }
.absolute { position: absolute }
.relative { position: relative }
.fixed { position: fixed }
.static { position: static }

/* padding */
.p0 { padding: 0px }
.pt0 { padding-top: 0px }
.pb0 { padding-bottom: 0px }
.pl0 { padding-left: 0px }
.pr0 { padding-right: 0px }
.p1 { padding: 1px }
.pt1 { padding-top: 1px }
.pb1 { padding-bottom: 1px }
.pl1 { padding-left: 1px }
.pr1 { padding-right: 1px }
.p5 { padding: 5px }
.pt5 { padding-top: 5px }
.pb5 { padding-bottom: 5px }
.pl5 { padding-left: 5px }
.pr5 { padding-right: 5px }
.p10 { padding: 10px }
.pt10 { padding-top: 10px }
.pb10 { padding-bottom: 10px }
.pl10 { padding-left: 10px }
.pr10 { padding-right: 10px }
.p15 { padding: 15px }
.pt15 { padding-top: 15px }
.pb15 { padding-bottom: 15px }
.pl15 { padding-left: 15px }
.pr15 { padding-right: 15px }
.p20 { padding: 20px }
.pt20 { padding-top: 20px }
.pb20 { padding-bottom: 20px }
.pl20 { padding-left: 20px }
.pr20 { padding-right: 20px }
.p25 { padding: 25px }
.pt25 { padding-top: 25px }
.pb25 { padding-bottom: 25px }
.pl25 { padding-left: 25px }
.pr25 { padding-right: 25px }
.p30 { padding: 30px }
.pt30 { padding-top: 30px }
.pb30 { padding-bottom: 30px }
.pl30 { padding-left: 30px }
.pr30 { padding-right: 30px }
.p40 { padding: 40px }
.pt40 { padding-top: 40px }
.pb40 { padding-bottom: 40px }
.pl40 { padding-left: 40px }
.pr40 { padding-right: 40px }
.p50 { padding: 50px }
.pt50 { padding-top: 50px }
.pb50 { padding-bottom: 50px }
.pl50 { padding-left: 50px }
.pr50 { padding-right: 50px }
.p100 { padding: 100px }
.pt100 { padding-top: 100px }
.pb100 { padding-bottom: 100px }
.pl100 { padding-left: 100px }
.pr100 { padding-right: 100px }
/* margin */
.m0 { margin: 0px }
.mt0 { margin-top: 0px }
.mb0 { margin-bottom: 0px }
.ml0 { margin-left: 0px }
.mr0 { margin-right: 0px }
.m1 { margin: 1px }
.mt1 { margin-top: 1px }
.mb1 { margin-bottom: 1px }
.ml1 { margin-left: 1px }
.mr1 { margin-right: 1px }
.m5 { margin: 5px }
.mt5 { margin-top: 5px }
.mb5 { margin-bottom: 5px }
.ml5 { margin-left: 5px }
.mr5 { margin-right: 5px }
.m10 { margin: 10px }
.mt10 { margin-top: 10px }
.mb10 { margin-bottom: 10px }
.ml10 { margin-left: 10px }
.mr10 { margin-right: 10px }
.m15 { margin: 15px }
.mt15 { margin-top: 15px }
.mb15 { margin-bottom: 15px }
.ml15 { margin-left: 15px }
.mr15 { margin-right: 15px }
.m20 { margin: 20px }
.mt20 { margin-top: 20px }
.mb20 { margin-bottom: 20px }
.ml20 { margin-left: 20px }
.mr20 { margin-right: 20px }
.m25 { margin: 25px }
.mt25 { margin-top: 25px }
.mb25 { margin-bottom: 25px }
.ml25 { margin-left: 25px }
.mr25 { margin-right: 25px }
.m30 { margin: 30px }
.mt30 { margin-top: 30px }
.mb30 { margin-bottom: 30px }
.ml30 { margin-left: 30px }
.mr30 { margin-right: 30px }
.m40 { margin: 40px }
.mt40 { margin-top: 40px }
.mb40 { margin-bottom: 40px }
.ml40 { margin-left: 40px }
.mr40 { margin-right: 40px }
.m50 { margin: 50px }
.mt50 { margin-top: 50px }
.mb50 { margin-bottom: 50px }
.ml50 { margin-left: 50px }
.mr50 { margin-right: 50px }
.m100 { margin: 100px }
.mt100 { margin-top: 100px }
.mb100 { margin-bottom: 100px }
.ml100 { margin-left: 100px }
.mr100 { margin-right: 100px }

/* font styling */
.bold { font-weight: bold }
.small { font-size: .83em }
.normal { font-size: 1em }
.large { font-size: 1.17em }
.larger { font-size: 1.5em }
.big { font-size: 2em }
.lsmall { line-height: .83em }
.lnormal { line-height: 1em }
.llarge { line-height: 1.17em }
.llarger { line-height: 1.5em }
.lbig { line-height: 2em }



/* alignment */
.ar { text-align: right }
.al { text-align: left }
.ac { text-align: center }
.ma { margin: auto }


/* miscellaneous */
.no-decoration { text-decoration: none }
.pointer { cursor: pointer }

/* width, height */
.wf { width: 100% }
.hf { height: 100% }
.w0 { width: 0 }
.w10 { width: 10px }
.w15 { width: 15px }
.w20 { width: 20px }
.w25 { width: 25px }
.w30 { width: 30px }
.w40 { width: 40px }
.w50 { width: 50px }
.w75 { width: 75px }
.w100 { width: 100px }
.w125 { width: 125px }
.w150 { width: 150px }
.w175 { width: 175px }
.w200 { width: 200px }
.w250 { width: 250px }
.w300 { width: 300px }
.w350 { width: 350px }
.w400 { width: 400px }
.w450 { width: 450px }
.w500 { width: 500px }
.w550 { width: 550px }
.w600 { width: 600px }
.w650 { width: 650px }
.w700 { width: 700px }
.w750 { width: 750px }
.w800 { width: 800px }
.w850 { width: 850px }
.w900 { width: 900px }
.w960 { width: 960px }
.w980 { width: 980px }
.h0 { height: 0 }
.h10 { height: 10px }
.h15 { height: 15px }
.h20 { height: 20px }
.h25 { height: 25px }
.h30 { height: 30px }
.h40 { height: 40px }
.h50 { height: 50px }
.h75 { height: 75px }
.h100 { height: 100px }
.h125 { height: 125px }
.h150 { height: 150px }
.h175 { height: 175px }
.h200 { height: 200px }
.h250 { height: 250px }
.h300 { height: 300px }
.h350 { height: 350px }
.h400 { height: 400px }
.h450 { height: 450px }
.h500 { height: 500px }
.h550 { height: 550px }
.h600 { height: 600px }

/* borders */
.br-fff { border: 1px solid #ffffff; }
.br-ccc { border: 1px solid #c0c0c0; }
.br-aaa { border: 1px solid #a0a0a0; }
.br-777 { border: 1px solid #707070; }
.br-444 { border: 1px solid #404040; }
.br-222 { border: 1px solid #202020; }
.brt-fff { border-top: 1px solid #ffffff; }
.brt-ccc { border-top: 1px solid #c0c0c0; }
.brt-aaa { border-top: 1px solid #a0a0a0; }
.brt-777 { border-top: 1px solid #707070; }
.brt-444 { border-top: 1px solid #404040; }
.brt-222 { border-top: 1px solid #202020; }
.brb-fff { border-bottom: 1px solid #ffffff; }
.brb-ccc { border-bottom: 1px solid #c0c0c0; }
.brb-aaa { border-bottom: 1px solid #a0a0a0; }
.brb-777 { border-bottom: 1px solid #707070; }
.brb-444 { border-bottom: 1px solid #404040; }
.brb-222 { border-bottom: 1px solid #202020; }
.brl-fff { border-left: 1px solid #ffffff; }
.brl-ccc { border-left: 1px solid #c0c0c0; }
.brl-aaa { border-left: 1px solid #a0a0a0; }
.brl-777 { border-left: 1px solid #707070; }
.brl-444 { border-left: 1px solid #404040; }
.brl-222 { border-left: 1px solid #202020; }
.brr-fff { border-right: 1px solid #ffffff; }
.brr-ccc { border-right: 1px solid #c0c0c0; }
.brr-aaa { border-right: 1px solid #a0a0a0; }
.brr-777 { border-right: 1px solid #707070; }
.brr-444 { border-right: 1px solid #404040; }
.brr-222 { border-right: 1px solid #202020; }
.br2-fff { border: 1px solid #ffffff; }
.br2-ccc { border: 1px solid #c0c0c0; }
.br2-aaa { border: 1px solid #a0a0a0; }
.br2-777 { border: 1px solid #707070; }
.br2-444 { border: 1px solid #404040; }
.br2-222 { border: 1px solid #202020; }
.br2t-fff { border-top: 1px solid #ffffff; }
.br2t-ccc { border-top: 1px solid #c0c0c0; }
.br2t-aaa { border-top: 1px solid #a0a0a0; }
.br2t-777 { border-top: 1px solid #707070; }
.br2t-444 { border-top: 1px solid #404040; }
.br2t-222 { border-top: 1px solid #202020; }
.br2b-fff { border-bottom: 1px solid #ffffff; }
.br2b-ccc { border-bottom: 1px solid #c0c0c0; }
.br2b-aaa { border-bottom: 1px solid #a0a0a0; }
.br2b-777 { border-bottom: 1px solid #707070; }
.br2b-444 { border-bottom: 1px solid #404040; }
.br2b-222 { border-bottom: 1px solid #202020; }
.br2l-fff { border-left: 1px solid #ffffff; }
.br2l-ccc { border-left: 1px solid #c0c0c0; }
.br2l-aaa { border-left: 1px solid #a0a0a0; }
.br2l-777 { border-left: 1px solid #707070; }
.br2l-444 { border-left: 1px solid #404040; }
.br2l-222 { border-left: 1px solid #202020; }
.br2r-fff { border-right: 1px solid #ffffff; }
.br2r-ccc { border-right: 1px solid #c0c0c0; }
.br2r-aaa { border-right: 1px solid #a0a0a0; }
.br2r-777 { border-right: 1px solid #707070; }
.br2r-444 { border-right: 1px solid #404040; }
.br2r-222 { border-right: 1px solid #202020; }

/* backgrounds */
.bg-fff { background-color: #ffffff; }
.bg-eee { background-color: #eee; }
.bg-ddd { background-color: #ddd; }


/* lists */
.no-bullets li { list-style-type: none;}

/* dynamic features */
.active {}
.inactive {}
.selected {}
.enabled {}
.disabled {}
.checked {}

/* colors */

.c-fff { color: #fff }
.c-eee { color: #eee }
.c-ddd { color: #ddd }
.c-ccc { color: #ccc }
.c-bbb { color: #bbb }
.c-aaa { color: #aaa }
.c-999 { color: #999 }
.c-888 { color: #888 }
.c-777 { color: #777 }
.c-444 { color: #444 }
.c-222 { color: #222 }


/* corner radius */
.rc4 {  -moz-border-radius: 4px; -webkit-border-radius: 4px; }
.rct4 {  -moz-border-radius: 4px 4px 0 0; -webkit-border-radius: 4px 4px 0 0; }
.rcb4 {  -moz-border-radius: 0 0 4px 4px; -webkit-border-radius: 0 0 4px 4px; }
.rcr4 {  -moz-border-radius: 0 4px 4px 0; -webkit-border-radius: 0 4px 4px 0; }
.rcl4 {  -moz-border-radius: 0 4px 4px 0; -webkit-border-radius: 0 4px 4px 0; }

.rc5 {  -moz-border-radius: 5px; -webkit-border-radius: 5px; }
.rct5 {  -moz-border-radius: 5px 5px 0 0; -webkit-border-radius: 5px 5px 0 0; }
.rcb5 {  -moz-border-radius: 0 0 5px 5px; -webkit-border-radius: 0 0 5px 5px; }
.rcr5 {  -moz-border-radius: 0 5px 5px 0; -webkit-border-radius: 0 5px 5px 0; }
.rcl5 {  -moz-border-radius: 0 5px 5px 0; -webkit-border-radius: 0 5px 5px 0; }

.rc8 {  -moz-border-radius: 8px; -webkit-border-radius: 8px; }
.rct8 {  -moz-border-radius: 8px 8px 0 0; -webkit-border-radius: 8px 8px 0 0; }
.rcb8 {  -moz-border-radius: 0 0 8px 8px; -webkit-border-radius: 0 0 8px 8px; }
.rcr8 {  -moz-border-radius: 0 8px 8px 0; -webkit-border-radius: 0 8px 8px 0; }
.rcl8 {  -moz-border-radius: 0 8px 8px 0; -webkit-border-radius: 0 8px 8px 0; }

.rc10 {  -moz-border-radius: 10px; -webkit-border-radius: 10px; }
.rct10 {  -moz-border-radius: 10px 10px 0 0; -webkit-border-radius: 10px 10px 0 0; }
.rcb10 {  -moz-border-radius: 0 0 10px 10px; -webkit-border-radius: 0 0 10px 10px; }
.rcr10 {  -moz-border-radius: 0 10px 10px 0; -webkit-border-radius: 0 10px 10px 0; }
.rcl10 {  -moz-border-radius: 0 10px 10px 0; -webkit-border-radius: 0 10px 10px 0; }

.rc15 {  -moz-border-radius: 15px; -webkit-border-radius: 15px; }
.rct15 {  -moz-border-radius: 15px 15px 0 0; -webkit-border-radius: 15px 15px 0 0; }
.rcb15 {  -moz-border-radius: 0 0 15px 15px; -webkit-border-radius: 0 0 15px 15px; }
.rcr15 {  -moz-border-radius: 0 15px 15px 0; -webkit-border-radius: 0 15px 15px 0; }
.rcl15 {  -moz-border-radius: 0 15px 15px 0; -webkit-border-radius: 0 15px 15px 0; }


